Bug 719740 - epel-6 config files don't work
Summary: epel-6 config files don't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-07 20:06 UTC by Nathanael Noblet
Modified: 2011-09-23 18:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-23 18:59:17 UTC
Type: ---


Attachments (Terms of Use)

Description Nathanael Noblet 2011-07-07 20:06:23 UTC
Description of problem:
Trying to build a package for epel-6 fails because of the mirrorlist urls for the beta and beta-optional repos.

They are currently set to 
http://mirrors.fedoraproject.org/mirrorlist?repo=rhel-5.90Server-beta&arch=i386
but should be
http://mirrors.fedoraproject.org/mirrorlist?repo=rhel-6-beta&arch=i386

or at least when I change to those, it can start building.

Comment 1 Jan ONDREJ 2011-07-11 15:41:54 UTC
Same problem here. Curious, that after disabling beta repository and leaving only centos6 stable, build does not work with this error:

ERROR: Command failed:
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/epel-6-i386/root/', 'groupin
stall', 'buildsys-build', '--setopt=tsflags=nocontexts']
Ignored option -c (probably due to merging -yc != -y -c)
Error: Package: epel-release-6-5.noarch (epel)
           Requires: /bin/sh
Error: Package: epel-release-6-5.noarch (epel)
           Requires: redhat-release >= 6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Why I need beta repository?

Comment 2 Simon 2011-07-26 11:16:53 UTC
Agreed, this is broken. I'm trying to build using mock-1.1.10-1.fc14

Comment 4 Clark Williams 2011-09-03 16:31:27 UTC
This should have been fixed by 1.1.11 and I missed putting this BZ in the update list. It works for me but I'd prefer it if someone else would verify so we can close this bz.

Comment 5 Clark Williams 2011-09-23 18:59:17 UTC
Ah well closing as fixed in current release


Note You need to log in before you can comment on or make changes to this bug.